#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
import sys
import logging
import traceback
from libs.tools import tzlc


class PictorialTransfer(object):

    def __init__(self):
        pass

    @classmethod
    def get_poctorial_data(cls, instance):
        try:
            res = dict()

            res["id"] = instance.id
            res["is_online"] = instance.is_online
            res["is_deleted"] = instance.is_deleted
            res["is_recommend"] = instance.is_recommend
            res["name"] = instance.name
            res["description"] = instance.description
            res["topic_num"] = instance.topic_num
            res["creator_id"] = instance.creator_id
            res["icon"] = instance.icon
            create_time = instance.create_time
            tzlc_create_time = tzlc(create_time)
            res["create_time"] = tzlc_create_time
            update_time = instance.update_time
            tzlc_udpate_time = tzlc(update_time)
            res["update_time"] = tzlc_udpate_time
            res["high_quality_topic_num"] = instance.get_high_quality_topic_num()
            tag_id = instance.get_tag_by_id()
            res["tag_id"] = tag_id
            res["tag_name"] = instance.get_tag_by_name(tag_id)
            res["topic_id_list"] =instance.get_topic_id()

            return res
        except:
            logging.error("catch exception,err_msg:%s" % traceback.format_exc())
            return dict()
